#
# spec file for package eppic
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define git_date	20140619
%define git_commit	5391d3d
%define checkout	%{git_date}git%{git_commit}

Name:           eppic
Version:        3.99.%{checkout}
Release:        bp153.1.15
Summary:        Embeddable Pre-Processor and Interpreter for C
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Source:         %{name}-git%{git_commit}.tar.bz2
Patch1:         %{name}-fix-install.patch
Patch2:         %{name}-no-return.patch
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  ncurses-devel
Url:            http://code.google.com/p/eppic/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
EPPIC is a C interpreter that permits easy access to the symbol and type
information stored in a executable image like a coredump or live memory
interfaces (e.g. /dev/kmem, /dev/mem). Although it has a strong association
with live or postmortem kernel analysis, it is not constraint to it and can be
embedded in any tools that is C friendly.

%package -n libeppic-devel
Summary:        EPPIC include files and libraries
Group:          Development/Languages/C and C++

%description -n libeppic-devel
EPPIC is a C interpreter that permits easy access to the symbol and type
information stored in a executable image like a coredump or live memory
interfaces (e.g. /dev/kmem, /dev/mem). Although it has a strong association
with live or postmortem kernel analysis, it is not constraint to it and can be
embedded in any tools that is C friendly.

This package provides the include files and libraries needed for development.

%prep
%setup -n %{name}-git%{git_commit}
%patch1 -p1
%patch2 -p1

%build
cd libeppic
make CFLAGS="%{optflags} -fPIC" %{?_smp_mflags}

%install
cd libeppic
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}
make ROOT="%{buildroot}" LIBDIR=%{_libdir} install

%files -n libeppic-devel
%defattr(-,root,root)
%doc libeppic/README
%{_includedir}/eppic.h
%{_includedir}/eppic_api.h
%attr(644,root,root) %{_libdir}/libeppic.a

%changelog
* Fri Jul 15 2016 jengelh@inai.de
- Update RPM groups
* Thu May  5 2016 ptesarik@suse.com
- update to commit 5391d3d
  o support for ARM64 (FATE#320844).
* Fri Nov 22 2013 ptesarik@suse.cz
- update to commit 09e8b97
  o fix a few compile issues
* Wed Apr  3 2013 ptesarik@suse.cz
- update to commit c2a2564
  o update planned upstream version to 4.0
- fix package versioning
* Thu Feb 14 2013 ptesarik@suse.cz
- update to commit fdf153d
  o cleanup eppic_type_islocal
  o fix a Bison warning
- compile with -fPIC, so the resulting library can be used to
  produce a dynamical shared object (e.g. a crash extension or a
  makedumpfile extension)
* Fri Nov 16 2012 ptesarik@suse.cz
- eppic-fix-install.patch: Fix an endless loop in 'make install'.
- eppic-no-return.patch: Fix return types of void functions.
* Fri Nov 16 2012 ptesarik@suse.cz
- Initial submission.
